## mx4j.remote.resolver.rmi
Class Resolver

    java.lang.Object
      mx4j.remote.ProviderHelper
          mx4j.remote.ConnectionResolver
              mx4j.remote.resolver.rmi.Resolver

Direct Known Subclasses:
  Resolver

public class Resolver
extends ConnectionResolver

Resolver for RMI/JRMP protocol.

Version:
  $Revision: 1.3 $

Constructor Summary
`Resolver()`

Method Summary
`java.lang.Object` `bindClient(java.lang.Object client, java.util.Map environment)` Connects the client returned by `lookupClient(javax.management.remote.JMXServiceURL, java.util.Map)` to the server side.
`javax.management.remote.JMXServiceURL` `bindServer(java.lang.Object server, javax.management.remote.JMXServiceURL url, java.util.Map environment)` Binds the server created by `createServer(javax.management.remote.JMXServiceURL, java.util.Map)` to a place specified by the JMXServiceURL.
`protected javax.management.remote.rmi.RMIServerImpl` `createRMIServer(javax.management.remote.JMXServiceURL url, java.util.Map environment)`
`java.lang.Object` `createServer(javax.management.remote.JMXServiceURL url, java.util.Map environment)` Creates an instance of the server as specified in the given JMXServiceURL.
`protected javax.management.remote.rmi.RMIServer` `decodeStub(javax.management.remote.JMXServiceURL url, java.util.Map environment)`
`void` `destroyServer(java.lang.Object server, javax.management.remote.JMXServiceURL url, java.util.Map environment)` Destroys the server created by `createServer(javax.management.remote.JMXServiceURL, java.util.Map)`, by cleaning up resources it may have requested at creation time
`protected java.lang.String` `encodeStub(javax.management.remote.rmi.RMIServerImpl rmiServer, java.util.Map environment)`
`protected boolean` `isEncodedForm(javax.management.remote.JMXServiceURL url)`
`java.lang.Object` `lookupClient(javax.management.remote.JMXServiceURL url, java.util.Map environment)` Looks up a connection with the server side as specified in the given JMXServiceURL.
`protected javax.management.remote.rmi.RMIServer` `lookupRMIServerStub(javax.management.remote.JMXServiceURL url, java.util.Map environment)`
`protected javax.management.remote.rmi.RMIServer` `lookupStubInJNDI(javax.management.remote.JMXServiceURL url, java.util.Map environment)`
`protected javax.management.remote.rmi.RMIServer` `narrowRMIServerStub(java.lang.Object stub)`
`void` `unbindServer(java.lang.Object server, javax.management.remote.JMXServiceURL url, java.util.Map environment)` Unbinds the server bound by `bindServer(java.lang.Object, javax.management.remote.JMXServiceURL, java.util.Map)` from the place specified by the JMXServiceURL.

Methods inherited from class mx4j.remote.ConnectionResolver
`newConnectionResolver`

Methods inherited from class mx4j.remote.ProviderHelper
`constructClassName, findSystemPackageList, getLogger, loadClass, normalizeProtocol`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Resolver

    public Resolver()

Method Detail

### lookupClient

    public java.lang.Object lookupClient(javax.management.remote.JMXServiceURL url,
                                         java.util.Map environment)
                                  throws java.io.IOException

  Description copied from class: `ConnectionResolver`
  Looks up a connection with the server side as specified in the given JMXServiceURL. This method is used in implementations of `JMXConnector.connect()`.

  Specified by:
    `lookupClient` in class `ConnectionResolver`
  Throws:
    `java.io.IOException`
  See Also:
    `ConnectionResolver.bindClient(java.lang.Object, java.util.Map)`

### bindClient

    public java.lang.Object bindClient(java.lang.Object client,
                                       java.util.Map environment)
                                throws java.io.IOException

  Description copied from class: `ConnectionResolver`
  Connects the client returned by `ConnectionResolver.lookupClient(javax.management.remote.JMXServiceURL, java.util.Map)` to the server side.

  Specified by:
    `bindClient` in class `ConnectionResolver`
  Returns:
    An object of the same type as the client passed in; normally the client object itself
  Throws:
    `java.io.IOException`

### lookupRMIServerStub

    protected javax.management.remote.rmi.RMIServer lookupRMIServerStub(javax.management.remote.JMXServiceURL url,
                                                                        java.util.Map environment)
                                                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### lookupStubInJNDI

    protected javax.management.remote.rmi.RMIServer lookupStubInJNDI(javax.management.remote.JMXServiceURL url,
                                                                     java.util.Map environment)
                                                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### narrowRMIServerStub

    protected javax.management.remote.rmi.RMIServer narrowRMIServerStub(java.lang.Object stub)

### decodeStub

    protected javax.management.remote.rmi.RMIServer decodeStub(javax.management.remote.JMXServiceURL url,
                                                               java.util.Map environment)
                                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### createServer

    public java.lang.Object createServer(javax.management.remote.JMXServiceURL url,
                                         java.util.Map environment)
                                  throws java.io.IOException

  Description copied from class: `ConnectionResolver`
  Creates an instance of the server as specified in the given JMXServiceURL. It is only a factory method, it should just return a fresh instance of the server; other methods are responsible to make it available to clients (for example exporting it). This method is used in implementations of `JMXConnectorServerMBean.start()`.

  Specified by:
    `createServer` in class `ConnectionResolver`
  Throws:
    `java.io.IOException`
  See Also:
    `ConnectionResolver.bindServer(java.lang.Object, javax.management.remote.JMXServiceURL, java.util.Map)`, `ConnectionResolver.destroyServer(java.lang.Object, javax.management.remote.JMXServiceURL, java.util.Map)`

### createRMIServer

    protected javax.management.remote.rmi.RMIServerImpl createRMIServer(javax.management.remote.JMXServiceURL url,
                                                                        java.util.Map environment)
                                                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### bindServer

    public javax.management.remote.JMXServiceURL bindServer(java.lang.Object server,
                                                            javax.management.remote.JMXServiceURL url,
                                                            java.util.Map environment)
                                                     throws java.io.IOException

  Description copied from class: `ConnectionResolver`
  Binds the server created by `ConnectionResolver.createServer(javax.management.remote.JMXServiceURL, java.util.Map)` to a place specified by the JMXServiceURL.

  Specified by:
    `bindServer` in class `ConnectionResolver`
  Returns:
    a new JMXServiceURL that specifies where the server has been bound to.
  Throws:
    `java.io.IOException`
  See Also:
    `ConnectionResolver.unbindServer(java.lang.Object, javax.management.remote.JMXServiceURL, java.util.Map)`

### encodeStub

    protected java.lang.String encodeStub(javax.management.remote.rmi.RMIServerImpl rmiServer,
                                          java.util.Map environment)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### isEncodedForm

    protected boolean isEncodedForm(javax.management.remote.JMXServiceURL url)

### unbindServer

    public void unbindServer(java.lang.Object server,
                             javax.management.remote.JMXServiceURL url,
                             java.util.Map environment)
                      throws java.io.IOException

  Description copied from class: `ConnectionResolver`
  Unbinds the server bound by `ConnectionResolver.bindServer(java.lang.Object, javax.management.remote.JMXServiceURL, java.util.Map)` from the place specified by the JMXServiceURL.

  Specified by:
    `unbindServer` in class `ConnectionResolver`
  Throws:
    `java.io.IOException`
  See Also:
    `ConnectionResolver.destroyServer(java.lang.Object, javax.management.remote.JMXServiceURL, java.util.Map)`

### destroyServer

    public void destroyServer(java.lang.Object server,
                              javax.management.remote.JMXServiceURL url,
                              java.util.Map environment)
                       throws java.io.IOException

  Description copied from class: `ConnectionResolver`
  Destroys the server created by `ConnectionResolver.createServer(javax.management.remote.JMXServiceURL, java.util.Map)`, by cleaning up resources it may have requested at creation time

  Specified by:
    `destroyServer` in class `ConnectionResolver`
  Throws:
    `java.io.IOException`
  See Also:
    `ConnectionResolver.createServer(javax.management.remote.JMXServiceURL, java.util.Map)`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.